Uploaded image for project: 'GPII - Global Public Inclusive Infrastructure'
  1. GPII - Global Public Inclusive Infrastructure
  2. GPII-1318

Update the core architecture to the latest versions of node, npm, express and Infusion

    XMLWordPrintable

    Details

      Description

      During recent sprints, the architecture has got considerably behind current versions of all of its core technologies. We should take this opportunity to make comprehensive updates. As well as getting access to bug fixes, we also expect considerable performance improvements.

      At the time of writing, the current versions are

      node.js v4.2.1 (our current support is for 0.10.x)
      npm 3.3.8 (our current support is for 2.13.x)
      express 4.13.3 (our current support is for 3.4.x)
      infusion 2.0.0-dev (our current support is for 1.9.x)

      These are all major upgrades and there will be considerable reworking involved across all projects. As usual, the greatest expected breakage will be with respect to our use of node-ffi in the windows project.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              amb26 Antranig Basman
              Reporter:
              amb26 Antranig Basman
              Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: